## org.apache.maven.shared.io.location
Class Locator

    java.lang.Object
      org.apache.maven.shared.io.location.Locator

    public final class Locator

extends java.lang.Object

Constructor Summary
`Locator()`
`Locator(java.util.List strategies, MessageHolder messageHolder)`

Method Summary
`void` `addStrategy(LocatorStrategy strategy)`
`MessageHolder` `getMessageHolder()`
`java.util.List` `getStrategies()`
`void` `removeStrategy(LocatorStrategy strategy)`
`Location` `resolve(java.lang.String locationSpecification)`
`void` `setStrategies(java.util.List strategies)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Locator

    public Locator(java.util.List strategies,
                   MessageHolder messageHolder)

### Locator

    public Locator()

Method Detail

### getMessageHolder

    public MessageHolder getMessageHolder()

### addStrategy

    public void addStrategy(LocatorStrategy strategy)

### removeStrategy

    public void removeStrategy(LocatorStrategy strategy)

### setStrategies

    public void setStrategies(java.util.List strategies)

### getStrategies

    public java.util.List getStrategies()

### resolve

    public Location resolve(java.lang.String locationSpecification)

Copyright © 2011. All Rights Reserved.